For the complete documentation index, see llms.txt. This page is also available as Markdown.

Authors

List authors able to work on project

Returns a list of authors who have the skills to work on a project given its attributes without actually creating it.

OAuth: This endpoint requires the default public scope.

List all potential authors for a project

get
Authorizations
OAuth2authorizationCodeRequired

OAuth2 Bearer token authentication

Authorization URL: Token URL: Refresh URL:
Query parameters
project[activity_name]string · enumOptional

Type of project to filter on.

Possible values:

  • translation
  • copywriting
  • proofreading
Possible values:
project[language_from]stringOptional

Source language for translation projects (ex: fr-FR).

Pattern: ^[a-z]{2}-[A-Z]{2}$
project[language_to]stringOptional

Target language (ex: en-US)

Pattern: ^[a-z]{2}-[A-Z]{2}$
project[options][expertise]stringOptional

An Expertise ID (See List Expertises for more info)

project[options][language_level]string · enumOptional

An Expertise ID (See List Expertises for more info)

Possible values:
pageintegerOptional

Search results are limited to 100 items. Specify page number to read more than the first page.

Responses
200

Lists Potential Authors

application/json
total_pagesintegerOptional
countintegerOptional
pageintegerOptional
per_pageintegerOptional
previous_pageinteger · nullableOptional
next_pageinteger · nullableOptional
get/v1/clients/authors
GET /v1/clients/authors HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "total_pages": 1,
  "count": 2,
  "page": 1,
  "per_page": 20,
  "previous_page": null,
  "next_page": null,
  "authors": [
    {
      "id": "61698a9a8b81926d91c0e28c",
      "ident": "A-988C-FM"
    },
    {
      "id": "61698a9a8b81926d91c0e299",
      "ident": "A-9899-FM"
    }
  ]
}

Code samples

Last updated

Was this helpful?